> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/whitepapers.md).

# Whitepapers

The KyberSwap team is constantly innovating to bring you the best liquidity solutions. Please find below a collection of research papers which have been published by the team.

{% tabs %}
{% tab title="KyberSwap Classic" %}
{% embed url="<https://drive.google.com/file/d/1Pvvn_qJ_9xQr_ga2CWqGexLo4wF2jklO/view?usp=share_link>" %}

*Please note that the naming of certain concepts have been altered in the docs for ease of understanding:*

* *Dynamic Pricing Curve Setups =* [*Programmable Pricing Curves*](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/broken-reference/README.md)
* *Flexible Fee Adjustment =* [*Dynamic Auto-Adjusting Fees*](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/broken-reference/README.md)
  {% endtab %}

{% tab title="KyberSwap Elastic" %}
{% embed url="<https://drive.google.com/file/d/1QkRW9laRQLYQxmqNwIgIb-2aGc-0kAO5/view?usp=share_link>" %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kyberswap.com/reference/legacy/whitepapers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
